/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef XMGERR_H
#define XMGERR_H	1

#include "Xmg.h"

#define ERR_XMG_START	512
#define ERR_XMG_END	767

#define ERR_XMG_ERROR_ZERO	(ERR_XMG_START + 0)
#define ERR_XMG_NO_ENT		(ERR_XMG_START + 1)
#define ERR_XMG_INVAL		(ERR_XMG_START + 2)
#define ERR_XMG_NI		(ERR_XMG_START + 3)

/* PROTO XmgErr.c */
/* XmgErr.c */
t_status err_xmg_init P((void));
void XmgErrPrint P((Widget parent, int errcode, char *fmt, ...));
#endif
