/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef XMGPROMPT_H
#define XMGPROMPT_H	1

#include "a.h"

typedef VOID_FUNC	XmgPulldownPromptCallbackProc P((Widget w,
						       XtPointer p,
						       Widget pulldown,
						       char *str));

/* PROTO XmgPrompt.c */
/* include/XmgFancyI.h */
/* include/XmgI.h */
/* XmgPrompt.c */
void XmgShowPromptBox P((Widget parent, char *labelstr, char *valuestr, XmgMacroMultiCallbackProc ok_proc, XmgMacroMultiCallbackProc cancel_proc, XtPointer data, XtGrabKind grab_kind));
void XmgShowPromptPulldownBox P((Widget parent, char *labelstr, t_vec *values_vec_str, char *valuestr, XmgMacroMultiCallbackProc ok_proc, XmgMacroMultiCallbackProc cancel_proc, XtPointer data, XtGrabKind grab_kind));
void XmgShowPromptComplexPulldownBox P((Widget parent, char *labelstr, t_vec *values_vec_str, char *valuestr, XmgMacroMultiCallbackProc ok_proc, XmgMacroMultiCallbackProc cancel_proc, XtPointer data, XtGrabKind grab_kind));
#endif
