/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef PAT_SZ_H
#define PAT_SZ_H	1

#include "pat.h"

extern t_pat		sz_pat;

/* PROTO pat_sz.c */
/* pat_sz.c */
t_status sz_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status sz_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status sz_pat_insert P((void *data, char *buf, int len, char *value));
t_status sz_pat_off P((void *data, char *buf, int len, t_off *off_return));
#endif
