/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef PKTIO_H
#define PKTIO_H		1

#include "pkt.h"

typedef struct		s_pkt_io
{
  t_32			patnamelen;
  t_32			len;
  t_32			netlen;
  t_32			timestamp_sec;
  t_32			timestamp_usec;
} t_pkt_io;

/* PROTO pktio.c */
/* pktio.c */
t_status pkt_write P((t_pkt *pkt, int fd, t_alloc_proc alloc_proc, t_free_proc free_proc));
t_status pkt_read P((t_pkt *pkt, int fd, t_alloc_proc alloc_proc, t_free_proc free_proc));
#endif
