/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef XIPREPL_H
#define XIPREPL_H	1

#include "xip.h"

/* PROTO xiprepl.c */
/* xiprepl.c */
char *my_itoa P((signed int signed_integer));
t_status xip_pkt_swap_fields P((t_pkt *pkt, char *field1, char *field2));
t_status xip_pkt_reply_ether P((t_pkt *pkt));
t_status xip_pkt_reply_arp P((t_pkt *pkt));
t_status xip_pkt_reply_arpethip P((t_pkt *pkt));
t_status xip_pkt_reply_ip P((t_pkt *pkt));
t_status xip_pkt_reply_icmp P((t_pkt *pkt));
t_status xip_pkt_reply_udp P((t_pkt *pkt));
t_status xip_pkt_reply_tcp P((t_pkt *pkt));
t_status xip_pkt_reply P((t_pkt *pkt));
#endif
