/*
 *
 */

#ifndef XIPRES_H
#define XIPRES_H	1

#include <X11/Intrinsic.h>
#include "xip.h"

typedef struct			s_xip_resources
{
  char				*xtermPath;
  char				*binEditorPath;
  char				*defaultColorName;
  char				*bodyColorName;
  char				*bodyBackgroundName;
  char				*controlsColorName;
  int				pktHelpOffset;
  Boolean			pinMode;
  Boolean			helpMode;
  Boolean			scrollMode;
  Boolean			smoothScrollMode;
  int				smoothScrollLimit;
  int				smoothScrollOffset;
} t_xip_resources;

extern XtResource		resources[];	
extern Cardinal			num_resources;
extern t_xip_resources		xip_resources;

extern t_dict			*xip_extra_vars;

/* PROTO xipres.h */

#endif
