/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef XIPSHCUT_H
#define XIPSHCUT_H	1

#include <pcap.h>
#include "pkt.h"

typedef struct			s_xip_shortcut_def
{
  char				*bpf_program;	/* must be static */
  char				*html_format;	/* must be static */
} t_xip_shortcut_def;

typedef struct			s_xip_shortcut
{
  struct bpf_program		bp;
  char				*html_format;
} t_xip_shortcut;

/* PROTO xipshcut.c */
/* xipshcut.c */
void xip_shortcuts_destroy P((void));
t_status xip_shortcut_add P((t_xip_shortcut_def *xsd));
t_status xip_shortcuts_init P((void));
t_status xip_shortcuts_html_do P((t_pkt *pkt, char *str, int max_len));
#endif
