/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#include "a.h"

#ifdef DEBUG
/* is a t_id_walk_proc.
   It is used internally by id_str_show(3). */
t_status		id_str_show_walk(he)
t_hash_elt		*he;
{
  fprintf(stderr,"%d=%s\n",he->key,he->value);
  return (0);
}

/* Shows a id of strings.
   It is a debug function. */
VOID_FUNC		id_str_show(id)
t_id			*id;
{
  t_status		status;

  status = id_walk(id,
		   (t_id_walk_proc)id_str_show_walk,
		   NULL);
  assert(status == 0);
}
#endif
