/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef PAT_PAD_H
#define PAT_PAD_H	1

#include "pat.h"

extern t_u32		pat_pad_nbytes;
extern t_pat		*pat_pad_sub_pat;

extern t_pat		pad_pat;

/* PROTO pat_pad.c */
/* pat_pad.c */
t_status pad_format_do P((t_bridled_str *bs, char *var, int i));
t_status pad_format P((int i, char *tmpl_str, char *str, int max_len));
t_status pad_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status pad_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status pad_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status pad_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
#endif
