/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef PAT_PAT_H
#define PAT_PAT_H	1

#include "pat.h"

extern t_dict		*pat_dict;

extern t_pat		pat_pat;

/* PROTO pat_pat.c */
/* pat_pat.c */
t_status pat_add P((t_pat *pat));
t_status pat_dict_init P((void));
void pat_dict_destroy P((void));
t_status pat_to_str P((t_pat *pat, char *str, int max_len));
t_pat *pat_from_str P((char *str, t_status *status));
t_status pat_get_choices_walk P((t_hash_elt *he, t_vec *vec_str));
t_status pat_get_choices P((t_vec *vec_str));
t_status pat_displayable_get_choices_walk P((t_hash_elt *he, t_vec *vec_str));
t_status pat_displayable_get_choices P((t_vec *vec_str));
t_status pat_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status pat_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status pat_pat_insert P((void *data, char *buf, int len, char *value));
#endif
