/*
 * This file is a part of the mg project.
 * Copyright (C) 1998 Martin Gall
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
/*
 *
 */

#ifndef XIPCAP_H
#define XIPCAP_H	1

#include "xip.h"

/* PROTO xipcap.c */
/* xipcap.c */
void set_hard_filter P((pcap_t *pcap, char *hard_filter));
t_status pat_get_from_pcap P((int pcap_link_type, t_pat **pat));
void make_packet_from_pp_and_buf P((struct pcap_pkthdr *pp, char *buf));
void read_pcap_handler P((struct s_singleton *s, struct pcap_pkthdr *pp, char *buf));
void read_pcap P((XtPointer closure, int *fd, XtInputId *id));
void read_pipe P((XtPointer closure, int *fd, XtInputId *id));
t_status xip_cap_init P((void));
#endif
