/*
 *
 */

#ifndef XIPERR_H
#define XIPERR_H	1

#include "a.h"

#define ERR_XIP_START	768
#define ERR_XIP_END	1023

#define ERR_XIP_ERROR_ZERO	(ERR_XIP_START + 0)
#define ERR_XIP_CANT_REPLY	(ERR_XIP_START + 1)
#define ERR_XIP_INTERNAL	(ERR_XIP_START + 2)
#define ERR_XIP_IN_USE		(ERR_XIP_START + 3)
#define ERR_XIP_SYNTAX		(ERR_XIP_START + 4)
#define ERR_XIP_SUBROUTINE	(ERR_XIP_START + 5)
#define ERR_XIP_SYSCALL		(ERR_XIP_START + 6 + ERR_MAGIC_SYS)
#define ERR_XIP_NO_METHOD	(ERR_XIP_START + 7)
#define ERR_XIP_OPEN		(ERR_XIP_START + 8 + ERR_MAGIC_SYS)
#define ERR_XIP_MISSING_VAR	(ERR_XIP_START + 9)
#define ERR_XIP_CANT_HANDLE	(ERR_XIP_START + 10)
#define ERR_XIP_NO_SUCH_VAR	(ERR_XIP_START + 11)
#define ERR_XIP_NO_ENT		(ERR_XIP_START + 12)
#define ERR_XIP_WRITE		(ERR_XIP_START + 13 + ERR_MAGIC_SYS)
#define ERR_XIP_READ		(ERR_XIP_START + 14 + ERR_MAGIC_SYS)
#define ERR_XIP_BAD_EVENT	(ERR_XIP_START + 15)
#define ERR_XIP_NI		(ERR_XIP_START + 16)
#define ERR_XIP_CHILD_PROCESS	(ERR_XIP_START + 17)
#define ERR_XIP_NEED_ONE_ARG	(ERR_XIP_START + 18)
#define ERR_XIP_MESSAGE_LENGTH	(ERR_XIP_START + 19)
#define ERR_XIP_TOO_MANY	(ERR_XIP_START + 20)

/* PROTO xiperr.c */
/* xiperr.c */
t_status err_xip_init P((void));
#endif
